Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Update GCC auf Version 5.4.0
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
sdoubleyou
n00b
n00b


Joined: 27 May 2016
Posts: 41

PostPosted: Tue Apr 18, 2017 10:04 am    Post subject: Update GCC auf Version 5.4.0 Reply with quote

Hallo zusammen,

ich habe heute das erste Mal das Vergnügen ein GCC-Update umzusetzen. :)

Dazu gab es ja auch eine neue "News".
https://wiki.gentoo.org/wiki/Upgrading_from_gcc-4.x_to_gcc-5.x
Ich frage mich nun, ob es anschließend reicht dass dort angegebene
Code:
revdep-rebuild --library 'libstdc++.so.6' -- --exclude gcc

umzusetzen, oder ich das komplett abarbeiten muss wie unter
https://wiki.gentoo.org/wiki/Upgrading_GCC#Short_version
angegeben ist?

Vielen Dank im Voraus.
Back to top
View user's profile Send private message
mv
Watchman
Watchman


Joined: 20 Apr 2005
Posts: 5752

PostPosted: Tue Apr 18, 2017 3:43 pm    Post subject: Reply with quote

Den Compiler umsetzen u.ä. musst Du auf jeden Fall (vor dem revdep-rebuild).
Viel mehr steht ja bei Deinem Link auch nicht dabei.
Ich würde hinterher sicherheitshalber noch einmal zusätzlich alle Pakete neu bauen, obwohl das vermutlich nicht notwendig ist.

Übrigens würde ich empfehlen, sogar gleich auf gcc-6 umzusteigen: Das meiste, was mit gcc-5 läuft geht auch mit gcc-6, und dann hast Du einen großen Schritt gespart. (Schau aber vorher in die gcc Tracker-Bugs von Gentoos bugzillla, ob da nicht Pakete gelistet sind, die Du auf jeden Fall brauchst.)
Back to top
View user's profile Send private message
Child_of_Sun_24
Guru
Guru


Joined: 28 Jul 2004
Posts: 410

PostPosted: Wed Apr 19, 2017 5:45 am    Post subject: Reply with quote

Nutze selbst gcc-6.3.0, einige Pakete haben Probleme damit aber das merkt man beim Kompilieren und entsprechende Patches gibt es im Gentoo Bugtracker, zur Not habe ich in /etc/portage/env eine Konfigurationsdatei um den "alten" gcc-5.4.0 zu benutzen.

Und wenn die Major Version wechselt baue ich immer mein komplettes System mit emerge world -eav --keep-going neu, lasse das über Nacht laufen und kümmere mich am nächsten Tag um die Pakete die nicht kompiliert werden konnten. :-)
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1027
Location: Schwabenländle

PostPosted: Fri Apr 21, 2017 12:05 pm    Post subject: Reply with quote

Leider lässt sich bei mir dev-libs/tntnet nicht gcc-5.4.0 bauen.

https://bpaste.net/show/f9fce03460ed

Funktioniert es denn bei euch?
Back to top
View user's profile Send private message
frank9999
n00b
n00b


Joined: 20 Feb 2013
Posts: 61
Location: US occupation zone: Central europe

PostPosted: Fri Apr 21, 2017 4:46 pm    Post subject: Reply with quote

3PO wrote:
Leider lässt sich bei mir dev-libs/tntnet nicht gcc-5.4.0 bauen.

https://bpaste.net/show/f9fce03460ed

Funktioniert es denn bei euch?


Ja:

[ebuild R ] dev-libs/tntnet-2.2.1::gentoo USE="ssl -doc -examples -gnutls -server" 0 KiB

Wahrscheinlich wurde eine der dependencies nicht neu gebaut mit dem neuem gcc.
Schuss ins Blaue, probiere mal ein
emerge -1 dev-libs/cxxtools

Ich hatte das gleiche Problem unter anderem mit dev-libs/libcec, erst nach dem ich die dev-libs/libplatform neu gebaut hatte konnte ich die libcec neu bauen.
_________________
F*ck the US-Imperialism!
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1027
Location: Schwabenländle

PostPosted: Fri Apr 21, 2017 5:12 pm    Post subject: Reply with quote

Das Problem ist gelöst:

Wenn tntnet installiert ist, baut es gegen seine eigene Libs.

Die Lösung ist, tntnet zu deinstallieren und dann wieder zu installieren. ;)

Code:
emerge -C dev-libs/tntnet && emerge dev-libs/tntnet
Back to top
View user's profile Send private message
toralf
Developer
Developer


Joined: 01 Feb 2004
Posts: 3481
Location: Hamburg

PostPosted: Sat Apr 22, 2017 6:50 am    Post subject: Reply with quote

3PO wrote:
Das Problem ist gelöst:

Wenn tntnet installiert ist, baut es gegen seine eigene Libs.

Die Lösung ist, tntnet zu deinstallieren und dann wieder zu installieren. ;)

Code:
emerge -C dev-libs/tntnet && emerge dev-libs/tntnet
Klingt für mich nach einem work around. Gelöst ist es dann, wenn Du einen entsprechenden bug reports auf b.g.o absetzt, damit das Paket automatisch neu gebaut wird ;)
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4329

PostPosted: Sat Apr 22, 2017 8:17 am    Post subject: Reply with quote

toralf wrote:
3PO wrote:
Das Problem ist gelöst:

Wenn tntnet installiert ist, baut es gegen seine eigene Libs.

Die Lösung ist, tntnet zu deinstallieren und dann wieder zu installieren. ;)

Code:
emerge -C dev-libs/tntnet && emerge dev-libs/tntnet
Klingt für mich nach einem work around. Gelöst ist es dann, wenn Du einen entsprechenden bug reports auf b.g.o absetzt, damit das Paket automatisch neu gebaut wird ;)

Klingt für mich eher ein bug im build system vom tntnet paket selbst. Wenn es beim bauen seiner eigenen libs, welche im system installiert wurden, verwendet, statt die version, welche gerade frisch gebaut werden.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
mv
Watchman
Watchman


Joined: 20 Apr 2005
Posts: 5752

PostPosted: Sat Apr 22, 2017 12:02 pm    Post subject: Reply with quote

firefly wrote:
Klingt für mich eher ein bug im build system vom tntnet paket selbst

++
Sollte vielleicht gleich upstream gemeldet werden. (Ich nutze/kenne das Paket nicht, deshalb werde ich das nicht tun.)
Back to top
View user's profile Send private message
3PO
Veteran
Veteran


Joined: 26 Nov 2006
Posts: 1027
Location: Schwabenländle

PostPosted: Sat Apr 22, 2017 12:05 pm    Post subject: Reply with quote

https://bugs.gentoo.org/show_bug.cgi?id=616210
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum